Operations Management/Tenant Management (Plus)/Project Operations
DELETEProject OperationsSince SynchronousAuth Required
RemoveIAM2VirtualIDsFromProjects
RemoveIAM2VirtualIDsFromProjects
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
projectUuidsListRequiredThe UUID of the projects.
virtualIDUuidsListRequiredThe member UUIDs.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
DELETE endpoints return an empty object on success, or a standard error structure on failure.
Success Response
{}Error Response
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}Endpoint
DELETE/zstack/v1/iam2/projects/virtual-ids
/zstack/v1/iam2/projects/virtual-ids
Request Example
curl -X DELETE 'http://{host}/zstack/v1/iam2/projects/virtual-ids' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"projectUuids":["<projectUuids>"],"virtualIDUuids":["<virtualIDUuids>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"]}}'
Response Example
200{}Change History
This API has no change history records yet.
